io.vertx.rxjava3.httpproxy

## Class ProxyInterceptor

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.ProxyInterceptor

-     public class ProxyInterceptor
      extends Object

  A `HttpProxy` interceptor.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ProxyInterceptor>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyInterceptor(Object delegate)`
    `ProxyInterceptor(ProxyInterceptor delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ProxyInterceptor` | `getDelegate()`
    `Single<ProxyResponse>` | `handleProxyRequest(ProxyContext context)` Handle the proxy request at the stage of this interceptor.
    `Completable` | `handleProxyResponse(ProxyContext context)` Handle the proxy response at the stage of this interceptor.
    `int` | `hashCode()`
    `static ProxyInterceptor` | `newInstance(ProxyInterceptor arg)`
    `Single<ProxyResponse>` | `rxHandleProxyRequest(ProxyContext context)` Handle the proxy request at the stage of this interceptor.
    `Completable` | `rxHandleProxyResponse(ProxyContext context)` Handle the proxy response at the stage of this interceptor.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ProxyInterceptor> __TYPE_ARG

  - ### Constructor Detail

    - #### ProxyInterceptor

          public ProxyInterceptor(ProxyInterceptor delegate)

    - #### ProxyInterceptor

          public ProxyInterceptor(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ProxyInterceptor getDelegate()

    - #### handleProxyRequest

          public Single<ProxyResponse> handleProxyRequest(ProxyContext context)

      Handle the proxy request at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the request has actually been sent to the origin

    - #### rxHandleProxyRequest

          public Single<ProxyResponse> rxHandleProxyRequest(ProxyContext context)

      Handle the proxy request at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the request has actually been sent to the origin

    - #### handleProxyResponse

          public Completable handleProxyResponse(ProxyContext context)

      Handle the proxy response at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the response has actually been sent to the user-agent

    - #### rxHandleProxyResponse

          public Completable rxHandleProxyResponse(ProxyContext context)

      Handle the proxy response at the stage of this interceptor.
      Parameters:
        `context` - the proxy context
      Returns:
        when the response has actually been sent to the user-agent

    - #### newInstance

          public static ProxyInterceptor newInstance(ProxyInterceptor arg)

Copyright © 2022 Eclipse. All rights reserved.